Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: used 3GS, re-locked, what info do I need to jailbreak?

  1. #1
    Default used 3GS, re-locked, what info do I need to jailbreak?
    I bought a used 3Gs on eBay that came jailbroken and unlocked. For some reason, the phone bricked. My stupid friend said he could fix it but upgraded it to 4.0, now the phone is locked.

    The phone was on firmware 3.1.2, which is about all I know about this device. I'd like to downgrade to 3.1.2 and jailbreak and unlock the phone again. I live in Macau and cannot use the phone otherwise.

    I do not know what bootroom was used to jailbreak this phone previously, nor if the SHSH is saved. I think I can ask the ebayer who sold me and hopefully he'll respond. What other, if any, info should I ask for?

    Also, is there a way I can downgrade without knowing any of this stuff?

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You will need 3.1.2 shsh blogs to downgrade. You need to point your hosts file to Cydia. It is a very tedious work to downgrade. You shouldn't have let him touched it as he was clueless as to what he was doing.
    Now ,you will need the official sim to activate before you can apply jailbreakme.com from Safari on your iphone at OS 4.0 and unlocked with Ultrasn0w.

    If you have the old bootrom, at OS 3.1.2, and you have problems on your iphone and needed a fresh start, you could have just restore again to custom firmware and everything will be fine, not now though.
    Last edited by iYeow; 2010-08-09 at 08:55 PM.

  3. #3
    You can use the TinyUmbrella program to check what SHSH might be saved on Cydia.

  4. #4
    The ebay seller told me the SHSH's are stored on the Cydia Server for 3.0, 3.1 and 3.1.2. Does this mean I can downgrade to any of these versions?

    Alternatively, if I were to get an authorized ATT sim card, could I activate the phone and jailbreak via jailbreakme.com - then just have free use of it with any sim card thereafter?

  5. #5
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by nsacres View Post
    The ebay seller told me the SHSH's are stored on the Cydia Server for 3.0, 3.1 and 3.1.2. Does this mean I can downgrade to any of these versions?

    Alternatively, if I were to get an authorized ATT sim card, could I activate the phone and jailbreak via jailbreakme.com - then just have free use of it with any sim card thereafter?
    You have the old bootrom so you don't need the official sim card to activate, I will show you how to get to a jailbroken iphone.
    Download 3.1.2 ipsw from here
    iClarified - iPhone - Where To Download iPhone Firmware Files From
    Point your hosts file to Cydia.
    Put your iphone into DFU mode
    Shift + Restore to 3.1.2 ipsw
    Error 1015 pops up, use tiny umbrella, ireb 3.1.2 or recboot to get out of this recovery loop.
    Run Blackra1nRC3 or Redsn0w 0.9.2 to jailbreak.
    Now you are jailbroken at 3.1.2 and you can stop here if you want.
    If you decide to jailbreak at iOS 4.0 then do the next restore.
    Once jailbroken , you can then restore to custom firmware created either by Pwnage tools 4.0.1 or Snowbreeze 1.7 of iOS 4.0
    Once restored, you are already jailbroken at iOS 4.0 and you can unlock with Ultrasn0w again.
    Last edited by iYeow; 2010-08-17 at 07:09 AM.

  6. #6
    My iPhone is a Part of Me Trooper Sam's Avatar
    Join Date
    Jul 2010
    Location
    Somewhere in California
    Posts
    503
    Thanks
    51
    Thanked 78 Times in 62 Posts

    Will this work if you don't have 3.0 blobs, but you do have 3.1.2 blobs?

  7. #7
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by Trooper Sam View Post
    Will this work if you don't have 3.0 blobs, but you do have 3.1.2 blobs?
    He has the old bootrom because he has 3.0 blobs, but if you know you have the old bootrom, then you can do the same.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •